package cn.iocoder.yudao.module.system.service.nursing;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.nursing.vo.SpecialNursingPlanPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.nursing.vo.SpecialNursingPlanRespVO;
import cn.iocoder.yudao.module.system.controller.admin.nursing.vo.SpecialNursingPlanSaveReqVO;

public interface SpecialNursingPlanService {

    Long create(SpecialNursingPlanSaveReqVO createReqVO);

    void update(SpecialNursingPlanSaveReqVO updateReqVO);

    void delete(Long id);

    SpecialNursingPlanRespVO get(Long id);

    PageResult<SpecialNursingPlanRespVO> getPage(SpecialNursingPlanPageReqVO pageReqVO);
}

